




.accordion {
  
  .accordion-header {
    cursor: pointer;
  }

  
  &.accordion-icon-toggle {
    
    .accordion-icon {
      display: flex;
      flex-shrink: 0;
      transition: $transition-base;
      transform: rotate(90deg);
      align-items: center;
      justify-content: center;

      i {
        color: $primary;
      }

      .svg-icon {
        @include svg-icon-color($primary);
      }
    }

    
    .collapsed {
      .accordion-icon {
        transition: $transition-base;
        transform: rotate(0);

        i {
          color: $text-muted;
        }

        .svg-icon {
          @include svg-icon-color($text-muted);
        }
      }
    }
  }

  
  &.accordion-borderless {
    
    .accordion-item {
      border: 0;
    }
  }

  
  &.accordion-flush {
    
    .accordion-item {
      background-color: transparent;
      border: 0;
      border-radius: none;
      padding-left: 0;
      padding-right: 0;
    }
  }
}
